You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     gn...@freebsd.org
Last committer: rak...@freebsd.org
Ident:          $FreeBSD: head/net/libproxy-gnome3/Makefile 406680 2016-01-19 
10:00:25Z rakuco $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p407727_s295126/logs/libproxy-gnome3-0.4.12.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p407727_s295126
Log:

====>> Building net/libproxy-gnome3
build started at Sat Feb  6 02:05:27 UTC 2016
port directory: /usr/ports/net/libproxy-gnome3
building for: FreeBSD head-armv6-default-job-07 11.0-CURRENT FreeBSD 
11.0-CURRENT r295126 arm
maintained by: gn...@freebsd.org
Makefile ident:      $FreeBSD: head/net/libproxy-gnome3/Makefile 406680 
2016-01-19 10:00:25Z rakuco $
Poudriere version: 3.1.10
Host OSVERSION: 1100093
Jail OSVERSION: 1100097




!!! Jail is newer than host. (Jail: 1100097, Host: 1100093) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
UNAME_v=FreeBSD 11.0-CURRENT r295126
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=armv6
LINUX_OSRELEASE=2.6.32
SAVED_TERM=screen
QEMU_EMULATING=1
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=libproxy-gnome3-0.4.12
OSREL=11.0
_OSRELEASE=11.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100097
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/net/libproxy-gnome3/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/libproxy-gnome3/work  
HOME=/wrkdirs/usr/ports/net/libproxy-gnome3/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/net/libproxy-gnome3/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/libproxy-gnome3/work  
HOME=/wrkdirs/usr/ports/net/libproxy-gnome3/work TMPDIR="/tmp" NO_PIE=yes 
NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 
-pipe -mfloat-abi=softfp  -fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" 
CPPFLAGS=""  LDFLAGS="" LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe 
-mfloat-abi=softfp -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
VERSION=0.4.12
CMAKE_BUILD_TYPE="release"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/libproxy"
EXAMPLESDIR="share/examples/libproxy"
DATADIR="share/libproxy"
WWWDIR="www/libproxy"
ETCDIR="etc/libproxy"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/libproxy
DOCSDIR=/usr/local/share/doc/libproxy
EXAMPLESDIR=/usr/local/share/examples/libproxy
WWWDIR=/usr/local/www/libproxy
ETCDIR=/usr/local/etc/libproxy
--End SUB_LIST--

---Begin make.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
<snip>
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   libproxy-gnome3-0.4.12 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.3.txz
[head-armv6-default-job-07] Installing pkg-1.6.3...
[head-armv6-default-job-07] Extracting pkg-1.6.3: .......... done
Message from pkg-1.6.3:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   libproxy-gnome3-0.4.12 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of libproxy-gnome3-0.4.12
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by libproxy-gnome3-0.4.12 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by libproxy-gnome3-0.4.12 for building
=> SHA256 Checksum OK for libproxy-libproxy-0.4.12_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by libproxy-gnome3-0.4.12 for building
===>  Extracting for libproxy-gnome3-0.4.12
=> SHA256 Checksum OK for libproxy-libproxy-0.4.12_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for libproxy-gnome3-0.4.12
===>  Applying FreeBSD patches for libproxy-gnome3-0.4.12
===========================================================================
=======================<phase: build-depends  >============================
===>   libproxy-gnome3-0.4.12 depends on executable: pkgconf - not found
===>   Installing existing package /packages/All/pkgconf-0.9.12_1.txz
[head-armv6-default-job-07] Installing pkgconf-0.9.12_1...
[head-armv6-default-job-07] Extracting pkgconf-0.9.12_1: ....... done
===>   libproxy-gnome3-0.4.12 depends on executable: pkgconf - found
===>   Returning to build of libproxy-gnome3-0.4.12
===>   libproxy-gnome3-0.4.12 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.4.2.txz
[head-armv6-default-job-07] Installing cmake-3.4.2...
[head-armv6-default-job-07] `-- Installing expat-2.1.0_3...
[head-armv6-default-job-07] `-- Extracting expat-2.1.0_3: .......... done
[head-armv6-default-job-07] `-- Installing cmake-modules-3.4.2...
[head-armv6-default-job-07] `-- Extracting cmake-modules-3.4.2: .......... done
[head-armv6-default-job-07] `-- Installing curl-7.47.0...
[head-armv6-default-job-07] |   `-- Installing ca_root_nss-3.21...
[head-armv6-default-job-07] |   `-- Extracting ca_root_nss-3.21: ....... done
[head-armv6-default-job-07] `-- Extracting curl-7.47.0: .......... done
[head-armv6-default-job-07] `-- Installing libarchive-3.1.2_6,1...
[head-armv6-default-job-07] |   `-- Installing lzo2-2.09...
[head-armv6-default-job-07] |   `-- Extracting lzo2-2.09: .......... done
[head-armv6-default-job-07] `-- Extracting libarchive-3.1.2_6,1: .......... done
[head-armv6-default-job-07] `-- Installing jsoncpp-0.6.0.r2_2...
[head-armv6-default-job-07] `-- Extracting jsoncpp-0.6.0.r2_2: .......... done
[head-armv6-default-job-07] Extracting cmake-3.4.2: .......... done
Message from ca_root_nss-3.21:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   libproxy-gnome3-0.4.12 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of libproxy-gnome3-0.4.12
===========================================================================
=======================<phase: lib-depends    >============================
===>   libproxy-gnome3-0.4.12 depends on shared library: libproxy.so - not found
===>   Installing existing package /packages/All/libproxy-0.4.12.txz
[head-armv6-default-job-07] Installing libproxy-0.4.12...
[head-armv6-default-job-07] Extracting libproxy-0.4.12: ........ done
===>   libproxy-gnome3-0.4.12 depends on shared library: libproxy.so - found 
(/usr/local/lib/libproxy.so)
===>   Returning to build of libproxy-gnome3-0.4.12
===>   libproxy-gnome3-0.4.12 depends on shared library: libglib-2.0.so - not 
found
===>   Installing existing package /packages/All/glib-2.44.1_3.txz
[head-armv6-default-job-07] Installing glib-2.44.1_3...
[head-armv6-default-job-07] `-- Installing libiconv-1.14_9...
[head-armv6-default-job-07] `-- Extracting libiconv-1.14_9: .......... done
[head-armv6-default-job-07] `-- Installing python27-2.7.11_1...
[head-armv6-default-job-07] |   `-- Installing libffi-3.2.1...
[head-armv6-default-job-07] |   | `-- Installing indexinfo-0.2.4...
[head-armv6-default-job-07] |   | `-- Extracting indexinfo-0.2.4: .... done
[head-armv6-default-job-07] |   `-- Extracting libffi-3.2.1: .......... done
[head-armv6-default-job-07] |   `-- Installing gettext-runtime-0.19.6...
[head-armv6-default-job-07] |   `-- Extracting gettext-runtime-0.19.6: 
.......... done
[head-armv6-default-job-07] |   `-- Installing readline-6.3.8...
[head-armv6-default-job-07] |   `-- Extracting readline-6.3.8: .......... done
[head-armv6-default-job-07] `-- Extracting python27-2.7.11_1: .......... done
[head-armv6-default-job-07] `-- Installing pcre-8.37_4...
[head-armv6-default-job-07] `-- Extracting pcre-8.37_4: .......... done
[head-armv6-default-job-07] `-- Installing perl5-5.20.3_8...
[head-armv6-default-job-07] `-- Extracting perl5-5.20.3_8: .......... done
[head-armv6-default-job-07] Extracting glib-2.44.1_3: .......... done
No schema files found: doing nothing.
Message from python27-2.7.11_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.20.3_8:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   libproxy-gnome3-0.4.12 depends on shared library: libglib-2.0.so - found 
(/usr/local/lib/libglib-2.0.so)
===>   Returning to build of libproxy-gnome3-0.4.12
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for libproxy-gnome3-0.4.12
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/net/libproxy-gnome3/work/.build
-- The C compiler identification is Clang 3.7.1
-- The CXX compiler identification is Clang 3.7.1
-- Check for working C compiler: /nxb-bin/usr/bin/cc
-- Check for working C compiler: /nxb-bin/usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
CMake Error: Generator: execution of make failed. Make command was: 
"/usr/bin/make" "cmTC_61674/fast"
-- Detecting C compile features - failed
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
CMake Error: Generator: execution of make failed. Make command was: 
"/usr/bin/make" "cmTC_86185/fast"
-- Detecting CXX compiler ABI info - failed
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Building with bundled libmodman
-- Found PkgConfig: pkgconf (found version "0.28") 
-- Checking for modules 'gio-2.0>=2.26;gobject-2.0'
--   Found gio-2.0, version 2.44.1
--   Found gobject-2.0, version 2.44.1
MODULES TO BUILD:
        *       config_envvar
                config_sysconfig
                config_gnome
        m       config_gnome3
                config_kde
                config_macosx
                config_w32reg
        *       ignore_domain
        *       ignore_hostname
        *       ignore_ip
                network_networkmanager
                pacrunner_mozjs
                pacrunner_natus
                pacrunner_webkit
        *       wpad_dns_alias

-- Configuring incomplete, errors occurred!
See also 
"/wrkdirs/usr/ports/net/libproxy-gnome3/work/.build/CMakeFiles/CMakeOutput.log".
See also 
"/wrkdirs/usr/ports/net/libproxy-gnome3/work/.build/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/net/libproxy-gnome3
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to